<?php
/**
 * The template for displaying comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package angllia
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<div id="comments" class="comments-area">
<div class="comments">		
<?php if ( have_comments() ) : ?>
	
	<h3 class="title-box title-box-single"><?php comments_number(__('No Comment','angllia'), __('One Comment','angllia'), __('% Comments','angllia') );?></h3>
	<ol class="comment-list">
		<?php
			/* Loop through and list the comments. Tell wp_list_comments()
			 * to use marketify_comment() to format the comments.
			 * If you want to override this in a child theme, then you can
			 * define marketify_comment() and that will be used instead.
			 * See marketify_comment() in inc/template-tags.php for more.
			 */
			wp_list_comments( array( 'callback' => 'angllia_mytheme_comment', 'avatar_size' => 70 ) );
		?>
	</ol><!-- .comment-list -->

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
	<div class="rst-pagination">
		<nav class="row navigation" role="navigation">
			<div class="col-sm-6 nav-previous text-left"><?php previous_comments_link(); ?></div>
			<div class="col-sm-6 nav-next text-right"><?php next_comments_link(); ?></div>
		</nav>

		</div>
	<?php endif; // check for comment navigation ?>
<?php endif; // have_comments() ?>
</div>

<div class="comment-form">	
	<h3 class="title-box"><?php _e( 'Leave A Comment', 'angllia' ); ?></h4>
	<div class="box-white">
	<?php
		$commenter = wp_get_current_commenter();
		$req = get_option( 'require_name_email' );
		$aria_req = ( $req ? " aria-required='true'" : '' );
		$args = array(
			'id_form' => 'contact-form',
			'class_form' => 'form',
			'cancel_reply_link' => __( 'Cancel Reply','angllia' ),
			'fields' => apply_filters(
				'comment_form_default_fields', array(
					'author' => '<div class="form-group fully-form-box">
									<input class="form-control fully-input-form" id="author" name="author" placeholder="' . esc_html__('Your Name:','angllia') . '" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '"' . $aria_req . ' />
								</div>',
					'email' => '<div class="form-group fully-form-box">
									<input class="form-control fully-input-form" id="email" name="email" placeholder="' . esc_html__('Your Email:','angllia') . '" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '"' . $aria_req . ' />
									
								</div>',
				)
			),
			'comment_field' => '<textarea class="form-control fully-input-form" id="comment" name="comment" placeholder="' . esc_html__('Your Comment:','angllia') . '" cols="" rows="6" aria-required="true"></textarea>',
			'comment_notes_after' => '',
			'comment_notes_before' => '<p>'.esc_html__('Your email address will not be published. Required fields are marked *','angllia').'</p>',
			'title_reply' => '',
			'format'            => 'xhtml',
			'label_submit' => angllia_get_translate('Submit','sent_comment'),
			'class_submit' => 'fully-input-submit',
		);
	  ?>
	<?php comment_form($args, get_the_ID()); ?>
	</div>
</div>

</div><!-- #comments -->
