<?php
	// type use: text, checkbox, radio, select, dropdown-pages, textarea, color, gallery, image, group
	//$rst_widgets = angllia_get_my_widgets();
	$angllia_widgets = angllia_get_widgets();	
	rs::addCustomizeTab(array(
		'title' => 'General Setting', 
		'name' => 'rst_customize_general_setting',
		'priority' => 120,
		'controls' => array(
			array(
				'label' 		=> 'General configuration',
				'type' 			=> 'heading',
				'name' 			=> 'rst_general_heading',
			),
			array(
				'label'   => 'Site Layout',
				'type'    => 'radio-image',
				'name'    => 'rst_general_wrapper',
				'default_value' => 1,
				'items'         => array(
					'1' => get_template_directory_uri() .'/inc/css/images/wrapper_full.jpg',
					'2' => get_template_directory_uri() .'/inc/css/images/wrapper_box.jpg',
				)
			),
			array(
				'label' 		=> 'Sidebar',
				'type' 			=> 'radio-image',
				'name' 			=> 'rst_general_layout',
				'default_value'	=> 3,
				'items'        	=> array(
					'1' => get_template_directory_uri() .'/inc/css/images/fullwidth.jpg',
					'2' => get_template_directory_uri() .'/inc/css/images/sidebar_left.jpg',
					'3' => get_template_directory_uri() .'/inc/css/images/sidebar_right.jpg'
				)
			),
			array(
				'label'   => 'Padding Content',
				'type'    => 'text',
				'name'    => 'rst_content_padding',
				'description' => 'default:15px',
				'css'   => '#wrapper.wrapper-box .wrapper-content,.wrapper-box .fully-footer-widget,.wrapper-box .footer-box-not-full,#wrapper.wrapper-box .header-container-full #inner-header,#wrapper.wrapper-box .header-container-box{ padding-left: $value }
				#wrapper.wrapper-box .wrapper-content,.wrapper-box .fully-footer-widget,.wrapper-box .footer-box-not-full,#wrapper.wrapper-box .header-container-full #inner-header,#wrapper.wrapper-box .header-container-box{  padding-right: $value }',
				'default_value' => '15px',
				'conditional_logic' => array(
					'items' => array(
						'rst_general_wrapper' => '2'
					)
				)
			),
			array(
				'label'   => 'Margin Content Top',
				'type'    => 'text',
				'name'    => 'rst_content_margin_top',
				'description' => 'eg:10px',
				'css'   => 'body.body-box{ padding-top: $value }',
				'conditional_logic' => array(
					'items' => array(
						'rst_general_wrapper' => '2'
					)
				)
			),
			array(
				'label'   => 'Margin Content Bottom',
				'type'    => 'text',
				'name'    => 'rst_content_margin_bottom',
				'description' => 'eg:10px',
				'css'   => 'body.body-box{ padding-bottom: $value }',
				'conditional_logic' => array(
					'items' => array(
						'rst_general_wrapper' => '2'
					)
				)
			),
			array(
				'label' 		=> 'General configuration',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_general_heading_end',
			),
			array(
				'label' 		=> 'Background',
				'type' 			=> 'heading',
				'name' 			=> 'rst_background_heading',
			),
			array(
				'label'   => 'Website Background',
				'type'    => 'rsbackground',
				'name'    => 'bg_body',
				'css_selector' => 'body',
				'default_value' => array(
					'background-color' => '#f5f5f5',
					'background-position-vertical' => 'top',
					'background-position-horizontal' => 'center',
					'background-repeat' => 'repeat',
					'background-size' => 'cover',
					'background-attachment' => 'fixed'
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_general_wrapper' => 2
					)
				)
			),
			array(
				'label'   => 'Main BackGround',
				'type'    => 'rsbackground',
				'name'    => 'bg_wrapper',
				'css_selector' => '#wrapper,#wrapper-footer,.fully-footer-inner-social,.sidebar-border .widget .widget-title',
				'default_value' => array(
					'background-color' => '#ffffff',
					'background-position-vertical' => 'top',
					'background-position-horizontal' => 'center',
					'background-repeat' => 'repeat',
					'background-size' => 'cover',
					'background-attachment' => 'fixed'
				)
			),
			array(
				'label' 		=> 'Background',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_background_heading_end',
			),
		)
	));
	// Theme Color
	rs::addCustomizeTab(array(
		'title' => 'Theme Color', 
		'name' => 'rst_customize_theme_color',
		'priority' => 121,
		'controls' => array(
			array(
				'label' 		=> 'Main Color',
				'type' 			=> 'heading',
				'name' 			=> 'rst_main_heading',
			),
			array(
				'label' 		=> 'Main Color',
				'type' 			=> 'color',
				'default_value' => '#282828',
				'name' 			=> 'rst_theme_color',
				'css'			=> '
					a:hover,.current-menu-item a,.rst-nav-menu  li a:hover,.rst-social-menu li a:hover,.header-dark .current-menu-item > a,.header-dark .rst-nav-menu  li a:hover,.header-dark  .rst-social-menu li a:hover,.rst-inner-meta-info a:hover,.fully_category_name a:hover,.fully-share a:hover,.recent-meta-info a:hover,.rst-item-inner-box-post h3:hover,.widget_about ul li a:hover,.recent-meta-info a,.widget_categories ul li a:hover,.widget_archive ul li a:hover,.widget_pages ul li a:hover,.widget_meta ul li a:hover,.widget_recent_entries ul li a:hover,.widget_nav_menu ul li a:hover,.widget_recent_comments ul li a:hover,.widget_product_categories ul li a:hover,.calendar_wrap table td a,.rst-inner-post-item-list .fully_category_name,.fully_category_name,.rst-inner-post-item-grid .fully_category_name,blockquote footer,.fully-exceprt-post a,.fully-tags a:hover,.author-box .fully-about-info li a:hover,.logged-in-as a:hover,.rst-nav-menu-footer li a:hover,.rst-nav-menu-footer li.current-menu-item a,.fully-footer-widget .widget_categories ul li a:hover,.fully-footer-widget .widget_archive ul li a:hover,.fully-footer-widget .widget_pages ul li a:hover,.fully-footer-widget .widget_meta ul li a:hover,.fully-footer-widget .widget_recent_entries ul li a:hover,.fully-footer-widget .widget_nav_menu ul li a:hover,.fully-footer-widget .widget_recent_comments ul li a:hover,.fully-footer-widget .widget_product_categories ul li a:hover,.rst-copyright a,.fully-post-bottom  .fully-read-more:hover,.wp-pagenavi a:hover, .wp-pagenavi span.page-numbers.current,.widget_categories ul li a:before,.widget_archive ul li a:before,.widget_pages ul li a:before,.widget_meta ul li a:before,.widget_recent_entries ul li a:before,.widget_nav_menu ul li a:before,.widget_recent_comments ul li:before,.widget_product_categories ul li a:before,.tagcloud a:hover,.navigation a:hover{
						color: $value;
					}
					.fully_category_name a,.fully-footer-social ul li a:hover,.header-style-02 #inner-header  .rst-social-menu li a:hover{
						color: $value !important;
					}
					.wp-pagenavi a:hover, .wp-pagenavi span.page-numbers.current,.slick-arrow:hover ,.owl-controls  .owl-next:hover,.owl-controls  .owl-prev:hover{
						border-color: $value;
					}
					.navigation a:hover::after,.slick-arrow:hover,.fully-main-slider-08 .fully_category_name,.slick-dots li button,.slick-dots li.slick-active button,.info-author-post  ul li a:hover,.widget.widget_wysija .wysija-submit{
						background-color: $value;
					}
					.fully-input-submit:hover,.wpcf7-submit:hover{
						background: $value !important;
					}
				'
			),
			array(
				'label' 		=> 'Main Color',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_main_end_heading',
			),
			array(
				'label' 		=> 'Posts Of Blog',
				'type' 			=> 'heading',
				'name' 			=> 'rst_post_heading',
			),
			array(
				'label' 		=> 'Post Title Color',
				'type' 			=> 'color',
				'default_value' => '#ea889f',
				'name' 			=> 'rst_post_title_color',
				'css'			=> '
					.rst-meta-info h2 a,.rst-media-body h4 a,.rst-meta-info h2,.rst-meta-info h1,.fully_owl_item_info h4 a{
						color: $value;
					}
				'
			),
			array(
				'label' 		=> 'Post',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_post_end_heading',
			),
		)
	) );
	//Fonts > Font Site
	rs::addCustomizeTab(array(
		'title' => 'Typography', 
		'name' => 'rst_customize_fonts',
		//'panel'	=> 'panel_fonts',
		'priority' => 122,
		'controls' => array(
			array(
				'label' 		=> 'Post / Page Title',
				'type'			=> 'font',
				'name'			=> 'font_title',
				'css_selector'	=> '.fully_owl_item_info h4,.rst-meta-info h2,.rst-item-inner-box-post .rst-title-box h3,.fully-title-description h2,.fully-title-page h1,.fully_inner_info2 h4,.sp-thumbnail-text h4,.fully-posts-single-description h4,.rst-meta-info h1',
				'description'	=> 'Font: Family - Weight',
				'default_value'	=> array(
					'font-family' => 'Cantata One',
					'font-weight' => '400',
				)
			),
			array(
				'label' 		=> 'Post Title Of Blog',
				'type'			=> 'font',
				'name'			=> 'font_size_title',
				'css_selector'	=> '.rst-meta-info h2,.rst-inner-post-item-grid .rst-meta-info h2,.rst-inner-post-item-list .rst-meta-info h2,.rst-inner-post-item-list2 .rst-meta-info h2,.has-sidebar .rst-inner-post-item-list-full .rst-meta-info h2,.rst-inner-post-item-list-full .rst-meta-info h3',
				'description'	=> 'Font: Size - Line Height',
				'default_value'	=> array(
					'font-size'	=> '28px',
					'line-height' => '32px',
				),
			),
			array(
				'label' 		=> 'First Post Title Of Blog',
				'type'			=> 'font',
				'name'			=> 'font_size_title_big',
				'css_selector'	=> '.rst-inner-post-item-large-custom .rst-meta-info h2',
				'default_value'	=> array(
					'font-size'	=> '32px',
					'line-height' => '35px',
				),
				'description'	=> 'Font: Size - Line Height',
				//'description'	=> 'For Template Style Large Grid, Large Medium',
				'conditional_logic' => array(
					'items' => array(
						'rst_general_template' => 'large_grid|large_medium'
					)
				)
			),
			array(
				'label' 		=> 'Single Post / Page Title',
				'type'			=> 'font',
				'name'			=> 'font_size_title_single',
				'css_selector'	=> '.fully-title-page h1,.rst-meta-info.rst-meta-info-single h1',
				'description'	=> 'Font: Size - Line Height',
				'default_value'	=> array(
					'font-size'	=> '32px',
					'line-height' => '38px',
				),
			),
			array(
				'label' 		=> 'Heading',
				'type'			=> 'font',
				'name'			=> 'font_heading',
				'css_selector'	=> '.title-box,.widget_about h5,.comment .fully-media-body h5,.info-author-post h4,.author-box .fully-about-info h3',
				'description'	=> 'Font: Family - Weight',
				'default_value'	=> array(
					'font-family' => 'Cantata One',
					'font-weight' => '400',
				)
			),
			array(
				'label' 		=> 'Body',
				'type'			=> 'font',
				'name'			=> 'font_body',
				'css_selector'	=> 'body, p, blockquote, blockquote p',
				'description'	=> 'Font: Family - Size - Weight - Line Height',
				'default_value'	=> array(
					'font-family' => 'Open Sans',
					'font-weight' => '400',
					'font-size'	=> '13px',
					'line-height' => '24px',
				),
				'admin_css'  => '.mce-content-body p,.mce-content-body '
			),
			array(
				'label' 		=> 'H1',
				'type'			=> 'font',
				'name'			=> 'font_h1',
				'css_selector'	=> 'h1',
				'description'	=> 'Font: Family - Size - Weight - Line Height',
				'default_value'	=> array(
					'font-family' => 'Open Sans',
					'font-weight' => '700',
					'font-size'	=> '32px',
				),
				'admin_css'  => '.mce-content-body h1'
			),
			array(
				'label' 		=> 'H2',
				'type'			=> 'font',
				'name'			=> 'font_h2',
				'css_selector'	=> 'h2',
				'description'	=> 'Font: Family - Size - Weight - Line Height',
				'default_value'	=> array(
					'font-family' => 'Open Sans',
					'font-weight' => '700',
					'font-size'	=> '28px',	
				),
				'admin_css'  => '.mce-content-body h2'
			),
			array(
				'label' 		=> 'H3',
				'type'			=> 'font',
				'name'			=> 'font_h3',
				'css_selector'	=> 'h3',
				'default_value'	=> array(
					'font-family' => 'Open Sans',
					'font-weight' => '700',
					'font-size'	=> '20px',
				),
				'description'	=> 'Font: Family - Size - Weight - Line Height',
				'admin_css'  => '.mce-content-body h3'
			),
			array(
				'label' 		=> 'H4',
				'type'			=> 'font',
				'name'			=> 'font_h4',
				'css_selector'	=> 'h4',
				'default_value'	=> array(
					'font-family' => 'Open Sans',
					'font-weight' => '700',
					'font-size'	=> '16px',
				),
				'description'	=> 'Font: Family - Size - Weight - Line Height',
				'admin_css'  => '.mce-content-body h4'
			),
			array(
				'label' 		=> 'H5',
				'type'			=> 'font',
				'name'			=> 'font_h5',
				'css_selector'	=> 'h5',
				'default_value'	=> array(
					'font-family' => 'Open Sans',
					'font-weight' => '700',
					'font-size'	=> '14px',
				),
				'description'	=> 'Font: Family - Size - Weight - Line Height',
				'admin_css'  => '.mce-content-body h5'
			),
			array(
				'label' 		=> 'H6',
				'type'			=> 'font',
				'name'			=> 'font_h6',
				'css_selector'	=> 'h6',
				'default_value'	=> array(
					'font-family' => 'Open Sans',
					'font-weight' => '700',
					'font-size'	=> '12px',
				),
				'description'	=> 'Font: Family - Size - Weight - Line Height',
				'admin_css'  => '.mce-content-body h6'
			),
		)
	));
	rs::addCustomizeTab(array(
		'title' => 'Sidebar Setting', 
		'name' => 'rst_customize_widget',
		'priority' => 123,
		'controls' => array(
			array(
				'label' 		=> 'Some Information',
				'type' 			=> 'heading',
				'name' 			=> 'rst_sidebar_info_heading',
			),
			array(
				'label' 		=> 'Description',
				'type' 			=> 'description',
				'name' 			=> 'rst_description_sidebar',
				'description'	=> 'If you want to add element Please go to customize -> widget',
			),
			array(
				'label' 		=> 'Some Information',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_sidebar_info_heading_end',
			),
			array(
				'label' 		=> 'Style Setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_sidebar_style_heading',
			),
			array(
				'label' 		=> 'Border Color',
				'type' 			=> 'color',
				'default_value' => '#fbdde4',
				'name' 			=> 'rst_border_widget_color',
				'css'			=> '
					.sidebar-border .widget,.sidebar-style-5 .widget .widget-title span::before, .sidebar-style-5 .widget .widget-title span::after{
						border-color: $value;
					}
				',
			),
			array(
				'label' 		=> 'Turn On Border',
				'type' 			=> 'checkbox',
				'name' 			=> 'border_widget',
			),	
			array(
				'label' 		=> 'Border Size',
				'type' 			=> 'text',
				'default_value' => '1px',
				'name' 			=> 'rst_border_widget_size',
				'css'			=> '
					.sidebar-border .widget,.sidebar-style-5 .widget .widget-title span::before, .sidebar-style-5 .widget .widget-title span::after{
						border-width: $value ;
					}
				',
				'conditional_logic' => array(
					'items' => array(
						'border_widget' => '1'
					)
				)
			),
			array(
				'label' 		=> 'Style Setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_sidebar_style_heading_end',
			),
			array(
				'label' 		=> 'Font setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_sidebar_font_heading',
			),
			array(
				'label' 		=> 'Title Font',
				'type'			=> 'font',
				'name'			=> 'font_title_widget',
				'css_selector'	=> '.widget .widget-title',
				'description'	=> 'Font: Family - Size - Weight - Line Height',
				'default_value'	=> array(
					'font-family' => 'Montserrat',
					'font-weight' => '400',
					'font-size'	=> '14px',
					'line-height' => '16px',
				)
			),
			array(
				'label' 		=> 'Title Color',
				'type' 			=> 'color',
				'default_value' => '#ea889f',
				'name' 			=> 'rst_sidebar_title_color',
				'css'			=> '
					.widget .widget-title{
						color: $value;
					}
				'
			),
			array(
				'label' 		=> 'Footer Title Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_sidebar_title_footer_color',
				'default_value'	=> '#303030',
				'css'			=> '.fully-footer-widget .widget .widget-title{ color: $value }',
				'conditional_logic' => array(
					'items' => array(
						'rst_footer_layout' => 2
					)
				)
			),
			array(
				'label' 		=> 'Font setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_sidebar_font_heading_end',
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_sidebar_advance_heading',
			),
			array(
				'label' 		=> 'Turn Off Smart Sidebar',
				'type' 			=> 'checkbox',
				'name' 			=> 'rst_turn_of_smart',
			),
			array(
				'label' 		=> 'Margin per element',
				'type' 			=> 'text',
				'name' 			=> 'rst_widget_margin',
				'description'	=> 'unit:px',
				'css'			=> '#sidebar .widget{  margin-bottom: $value }',
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_sidebar_advance_heading_end',
			),
		)
	));
	rs::addCustomizePanel(array(
		'name' => 'panel_header_logo_menu',
		'title' => 'Header, Logo, Menu Setting',
		'priority' => 124,
	) );
	rs::addCustomizeTab(array(
		'title' => 'Header Setting', 
		'name' => 'rst_customize_header_setting',
		'priority' => 124,
		'panel'	=> 'panel_header_logo_menu',
		'controls' => array(
			array(
				'label' 		=> 'Style Setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_header_style_heading',
			),
			array(
				'label' 		=> 'Header Layout',
				'type' 			=> 'select',
				'default_value'	=> 1,
				'name'			=> 'rst_select_header_layout',
				'items'			=> array(
					'1' => 'Full width',
					'2' => 'Boxed',
				),
			),
			array(
				'label' 		=> 'Header Template',
				'type' 			=> 'select-image',
				'name' 			=> 'rst_header_layout',
				'default_value'	=> 1,
				'items'        	=> array(
					'1' => get_template_directory_uri() .'/inc/css/images/header-layout-1-dark.jpg',
					'2' => get_template_directory_uri() .'/inc/css/images/header-layout-2-dark.jpg',
					'3' => get_template_directory_uri() .'/inc/css/images/header-layout-3-dark.jpg',
					'4' => get_template_directory_uri() .'/inc/css/images/header-layout-4-dark.jpg',
					'5' => get_template_directory_uri() .'/inc/css/images/header-layout-5-dark.jpg',
				),
			),
			array(
				'label' 		=> 'Style Setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_header_style_heading_end',
			),
			array(
				'label' 		=> 'Background Header',
				'type' 			=> 'heading',
				'name' 			=> 'rst_header_background_heading',
			),
			array(
				'label' 		=> 'Background Header',
				'type' 			=> 'rsbackground',
				'name' 			=> 'bg_header',
				'css_selector'	=> '#inner-header',
				'default_value'	=> array(
					'background-color' => '#fff',
					'background-position-vertical' => 'top',
					'background-position-horizontal' => 'center',
					'background-repeat' => 'repeat',
					'background-size' => 'cover',
					'background-attachment' => 'fixed'
				)
			),
			array(
				'label' 		=> 'Top Bar BackGround',
				'type' 			=> 'rsbackground',
				'name' 			=> 'bg_header_top_bar',
				'css_selector'	=> '.header-style-03.header-dark .header-top',
				'default_value'	=> array(
					'background-color' => '#f5f5f5',
					'background-position-vertical' => 'top',
					'background-position-horizontal' => 'center',
					'background-repeat' => 'repeat',
					'background-size' => 'cover',
					'background-attachment' => 'fixed'
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_header_layout' => '5',
					)
				)
			),
			array(
				'label' 		=> 'Background & Color',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_header_background_heading_end',
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_header_advance_heading',
			),
			array(
				'label' 		=> 'Turn On Header Sticky',
				'type' 			=> 'checkbox',
				'name' 			=> 'turn_on_fixed',
				'conditional_logic' => array(
					'items' => array(
						'rst_header_layout' => '1|2|3|4|5',
					)
				)
			),
			array(
				'label' 		=> 'Hide Social',
				'type' 			=> 'checkbox',
				'name' 			=> 'hide_social_header',
				'conditional_logic' => array(
					'items' => array(
						'rst_header_layout' => '1|2|5|3|4',
					)
				)
			),
			array(
				'label' 		=> 'Hide Search',
				'type' 			=> 'checkbox',
				'name' 			=> 'hide_search',
				'conditional_logic' => array(
					'items' => array(
						'rst_header_layout' => '1|2|5|3|4',
					)
				)
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_header_advance_heading_end',
			),
		)
	) );
	// Logo
	rs::addCustomizeTab(array(
		'title' => 'Logo Setting', 
		'name' => 'rst_customize_logo',
		'panel'	=> 'panel_header_logo_menu',
		'priority' => 125,
		'controls' => array(
			array(
				'label' 		=> 'Upload Logo',
				'type' 			=> 'heading',
				'name' 			=> 'rst_logo_upload_heading',
			),
			array(
				'label' 		=> 'Logo Type',
				'type' 			=> 'select',
				'default_value'	=> 2,
				'name'			=> 'rst_select_logo',
				'items'			=> array(
					'1' => 'Logo Image',
					'2' => 'Logo Text',
				)
			),
			array(
				'label' 		=> 'Main Logo',
				'type' 			=> 'image',
				'name' 			=> 'rst_logo',
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '1'
					)
				)
			),
			array(
				'label' 		=> 'Logo Text',
				'type' 			=> 'text',
				'name' 			=> 'rst_logo_text',
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '2'
					)
				)
			),
			array(
				'label' 		=> 'Slogan',
				'type' 			=> 'text',
				'name' 			=> 'rst_slogan_text',
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '2'
					)
				)
			),
			array(
				'label' 		=> 'Upload Logo',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_logo_upload_heading_end',
			),
			array(
				'label' 		=> 'Logo Setting ',
				'type' 			=> 'heading',
				'name' 			=> 'rst_logo_font_heading',
			),
			array(
				'label' 		=> 'Max Width',
				'type' 			=> 'text',
				'name' 			=> 'rst_logo_max_width',
				'css'			=> '.rst-logo img{ max-width: $value }',
				'description'	=> 'eg:10px',
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '1'
					)
				)
			),
			array(
				'label' 		=> 'Max Height',
				'type' 			=> 'text',
				'name' 			=> 'rst_logo_max_height',
				'css'			=> '.rst-logo img { max-height: $value }',
				'description'	=> 'eg:10px',
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '1'
					)
				)
			),
			array(
				'label' 		=> 'Logo Font',
				'type'			=> 'font',
				'name'			=> 'rst_font_logo',
				'css_selector'	=> '.rst-logo-text h1',
				'description'	=> 'Font: Family - Size - Weight - Line Height',
				'default_value'	=> array(
					'font-size'	=> '68px',
					'line-height' => '68px',
					'font-family' => 'Limelight',
					'font-weight' => '400',
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '2'
					)
				)
			),
			array(
				'label' 		=> 'Slogan Font',
				'type'			=> 'font',
				'name'			=> 'rst_font_slogan',
				'css_selector'	=> '.rst-logo-text h2',
				'description'	=> 'Font: Family - Size - Weight - Style - Line Height',
				'default_value'	=> array(
					'font-size'	=> '26px',
					'line-height' => '20px',
					'font-family' => 'Dawning of a New Day',
					'font-weight' => '300',
					'font-style'  => 'italic'
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '2'
					)
				)
			),
			array(
				'label' 		=> 'Logo Setting ',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_logo_font_heading_end',
			),
			array(
				'label' 		=> 'Color',
				'type' 			=> 'heading',
				'name' 			=> 'rst_logo_color_heading',
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '2'
					)
				)
			),	
			array(
				'label' 		=> 'Logo Color',
				'type' 			=> 'color',
				'default_value' => '#ea889f',
				'name' 			=> 'rst_color_logo',
				'css'			=> '
					.rst-logo-text a,.rst-logo-text h1{
						color: $value;
					}',
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '2'
					)
				)
			),
			array(
				'label' 		=> 'Slogan Color',
				'type' 			=> 'color',
				'default_value' => '#232323',
				'name' 			=> 'rst_color_slogan',
				'css'			=> '
					.rst-logo-text h2{
						color: $value;
					}',
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '2'
					)
				)
			),
			array(
				'label' 		=> 'Color',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_logo_color_heading_end',
				'conditional_logic' => array(
					'items' => array(
						'rst_select_logo' => '2'
					)
				)
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_logo_advance_heading',
			),	
			array(
				'label' 		=> 'Logo Position',
				'type' 			=> 'select',
				'default_value'	=> 'center',
				'name'			=> 'rst_position_logo',
				'items'			=> array(
					'center' => 'Logo Center',
					'left' => 'Logo Left',
					'right' => 'Logo Right',
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_header_layout' => '1|2',
					)
				)
			),
			array(
				'label' 		=> 'Logo Position',
				'type' 			=> 'select',
				'default_value'	=> 'center',
				'name'			=> 'rst_position_logo2',
				'items'			=> array(
					'center' => 'Logo Center',
					'left' => 'Logo Left',
					'right' => 'Logo Right',
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_header_layout' => '3|4',
						'hide_social_header' => '1',
						'hide_search' => '1',
					),
					'relation' => 'and'
				)
			),
			array(
				'label' 		=> 'Padding Top',
				'type' 			=> 'text',
				'name' 			=> 'rst_logo_padding_top',
				'description'	=> 'eg:10px',
				'css'			=> '#inner-header { padding-top: $value }'
			),
			array(
				'label' 		=> 'Padding Bottom',
				'type' 			=> 'text',
				'name' 			=> 'rst_logo_padding_bottom',
				'description'	=> 'eg:10px',
				'css'			=> '#inner-header{ padding-bottom: $value }'
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_logo_advance_heading_end',
			),
			array(
				'label' 		=> 'Advance ads',
				'type' 			=> 'heading',
				'name' 			=> 'rst_advance_ads_heading',
				'conditional_logic' => array(
					'items' => array(
						'rst_position_logo' => 'left|right',
						'rst_header_layout' => '1|2',
					),
					'relation' => 'and'
				)
			),
			array(
				'label' 		=> 'Type',
				'type' 			=> 'select',
				'default_value'	=> '1',
				'name'			=> 'rst_ads_type',
				'items'			=> array(
					'1' => 'Ads image',
					'2' => 'Ads code',
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_position_logo' => 'left|right',
						'rst_header_layout' => '1|2',
					),
					'relation' => 'and'
				)
			),
			array(
				'label' 		=> 'Image ads',
				'type' 			=> 'image',
				'name' 			=> 'rst_image_ads',
				'conditional_logic' => array(
					'items' => array(
						'rst_position_logo' => 'left|right',
						'rst_ads_type' => '1',
						'rst_header_layout' => '1|2',
					),
					'relation' => 'and'
				)
			),
			array(
				'label' 		=> 'Code ads',
				'type' 			=> 'textarea',
				'name' 			=> 'rst_code_ads',
				'conditional_logic' => array(
					'items' => array(
						'rst_position_logo' => 'left|right',
						'rst_ads_type' => '2',
						'rst_header_layout' => '1|2',
					),
					'relation' => 'and'
				)
			),
			array(
				'label' 		=> 'Link',
				'type' 			=> 'text',
				'name' 			=> 'rst_link_ads',
				'conditional_logic' => array(
					'items' => array(
						'rst_position_logo' => 'left|right',
						'rst_header_layout' => '1|2',
						'rst_ads_type' => '1',
					),
					'relation' => 'and'
				)
			),
			array(
				'label' 		=> 'Advance ads',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_advance_ads_heading_end',
				'conditional_logic' => array(
					'items' => array(
						'rst_position_logo' => 'left|right',
						'rst_header_layout' => '1|2',
					),
					'relation' => 'and'
				)
			),
			array(
				'label' 		=> 'Advance ads',
				'type' 			=> 'heading',
				'name' 			=> 'rst_advance_ads_heading2',
				'conditional_logic' => array(
					'items' => array(
						'rst_position_logo2' => 'left|right',
						'rst_header_layout' => '3|4',
					),
					'relation' => 'and'
				)
			),
			array(
				'label' 		=> 'Image ads',
				'type' 			=> 'image',
				'name' 			=> 'rst_image_ads2',
				'conditional_logic' => array(
					'items' => array(
						'rst_position_logo2' => 'left|right',
						'rst_header_layout' => '3|4',
					),
					'relation' => 'and'
				)
			),
			array(
				'label' 		=> 'Link',
				'type' 			=> 'text',
				'name' 			=> 'rst_link_ads2',
				'conditional_logic' => array(
					'items' => array(
						'rst_position_logo2' => 'left|right',
						'rst_header_layout' => '3|4',
					),
					'relation' => 'and'
				)
			),
			array(
				'label' 		=> 'Advance ads',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_advance_ads_heading_end2',
				'conditional_logic' => array(
					'items' => array(
						'rst_position_logo2' => 'left|right',
						'rst_header_layout' => '3|4',
					),
					'relation' => 'and'
				)
			),
		)
	) );
	rs::addCustomizeTab(array(
		'title' => 'Menu Setting', 
		'name' => 'rst_customize_menu',
		'panel'	=> 'panel_header_logo_menu',
		'priority' => 126,
		'controls' => array(
			array(
				'label' 		=> 'Some Information',
				'type' 			=> 'heading',
				'name' 			=> 'rst_menu_info_heading',
			),
			array(
				'label' 		=> 'Description',
				'type' 			=> 'description',
				'name' 			=> 'rst_description_menu',
				'description'	=> 'Here you can config menu but if you want to add element to menu please go to customize -> menu',
			),
			array(
				'label' 		=> 'Some Information',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_menu_info_heading_end',
			),
			array(
				'label' 		=> 'Background',
				'type' 			=> 'heading',
				'name' 			=> 'rst_menu_background_heading',
			),
			array(
				'label' 		=> 'Menu Background',
				'type' 			=> 'rsbackground',
				'name' 			=> 'bg_header_menu',
				'css_selector'	=> '.header-dark .header-top',
				'default_value'	=> array(
					'background-color' => '#f5f5f5',
					'background-position-vertical' => 'top',
					'background-position-horizontal' => 'center',
					'background-repeat' => 'repeat',
					'background-size' => 'cover',
					'background-attachment' => 'fixed'
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_header_layout' => '1|2|3|4',
					)
				)
			),
			array(
				'label' 		=> 'Sub Menu Background',
				'type' 			=> 'color',
				'name' 			=> 'rst_sub_menu_bg',
				'default_value'	=> '#fff',
				'css'			=> '.sub-menu { background-color: $value }'
			),
			array(
				'label' 		=> 'Background',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_menu_background_heading_end',
			),
			array(
				'label' 		=> 'Font Setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_menu_font_heading',
			),
			array(
				'label' 		=> 'Main Menu Font',
				'type'			=> 'font',
				'name'			=> 'font_main_menu',
				'css_selector'	=> '.rst-nav-menu li a,.header-style-01 .rst-social-menu li a,.header-style-01 .fully-search-form button,.header-style-05 .rst-social-menu li a,.header-style-05 .fully-search-form button',
				'description'	=> 'Font: Family - Size - Weight - Line Height',
				'default_value'	=> array(
					'font-size'	=> '13px',
					'line-height' => '24px',
					'font-family' => 'Chivo',
					'font-weight' => '400',
				)
			),
			array(
				'label' 		=> 'Sub Menu Font',
				'type'			=> 'font',
				'name'			=> 'font_sub_menu',
				'css_selector'	=> '.rst-nav-menu .sub-menu li a',
				'description'	=> 'Font: Family - Size - Weight',
				'default_value'	=> array(
					'font-size'	=> '12px',
					'font-family' => 'Chivo',
					'font-weight' => '400',
				)
			),
			array(
				'label' 		=> 'Font Setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_menu_font_heading_end',
			),
			array(
				'label' 		=> 'Font Color',
				'type' 			=> 'heading',
				'name' 			=> 'rst_menu_color_heading',
			),
			array(
				'label' 		=> 'Header Top Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_header_top_color',
				'default_value'	=> '#fff',
				'css'			=> '.header-style-03.header-dark .header-top .rst-social-menu a,.header-style-03.header-dark .header-top .fully-search-form button{ color: $value }
				.header-style-03.header-dark .header-top .fully-search-form input::-webkit-input-placeholder {
				  color: $value
				}
				.header-style-03.header-dark .header-top .fully-search-form input:-moz-placeholder {
				  color: $value
				}
				.header-style-03.header-dark .header-top .fully-search-form input::-moz-placeholder {
				  color: $value
				}
				.header-style-03.header-dark .header-top .fully-search-form input:-ms-input-placeholder {  
				   color: $value
				}
				.header-style-03.header-dark .header-top .fully-search-form input{
					border-color: $value
				}',
				'conditional_logic' => array(
					'items' => array(
						'rst_header_layout' => '5',
					)
				)
			),
			array(
				'label' 		=> 'Menu Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_menu_color',
				'default_value'	=> '#ea889f',
				'css'			=> '.rst-nav-menu li a,.header-dark .rst-social-menu li a,.header-dark .fully-search-form button,.header-dark .fully-search-form input,.rst-social-menu li a,.fully-search-form button
				{ color: $value }
				.fully-search-form input::-webkit-input-placeholder {
				  color: $value
				}
				.fully-search-form input:-moz-placeholder {
				  color: $value
				}
				.fully-search-form input::-moz-placeholder {
				  color: $value
				}
				.fully-search-form input:-ms-input-placeholder {  
				   color: $value
				}
				.fully-search-form input{
					border-color: $value
				}
				.header-dark .rst-menu-trigger span::before, .header-dark .rst-menu-trigger span::after, .header-dark .rst-menu-trigger span,.rst-menu-trigger span::before,.rst-menu-trigger span::after,.rst-menu-trigger span{
					background-color: $value
				}'
			),
			array(
				'label' 		=> 'Menu Hover Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_menu_hover_color',
				'default_value'	=> '',
				'css'			=> '#header .current-menu-item > a, #header .rst-nav-menu li a:hover, #header .rst-social-menu li a:hover{ color: $value }
				'
			),
			array(
				'label' 		=> 'Sub Menu Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_sub_menu_color',
				'default_value'	=> '#ea889f',
				'css'			=> '.rst-nav-menu .sub-menu li > a{ color: $value }
				'
			),
			array(
				'label' 		=> 'Sub Menu Hover Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_sub_menu_hover_color',
				'default_value'	=> '',
				'css'			=> '#header .rst-nav-menu .sub-menu li > a:hover,#header .rst-nav-menu .sub-menu .current-menu-item a{ color: $value }
				'
			),
			array(
				'label' 		=> 'Sub Menu Border Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_border_sub_menu_color',
				'default_value'	=> '#e5e5e5',
				'css'			=> '.rst-nav-menu .sub-menu li a{ border-color: $value }'
			),
			array(
				'label' 		=> 'Social / Search Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_main2_color',
				'default_value'	=> '#282828',
				'css'			=> '.header-style-02 #inner-header  .rst-social-menu li a,.header-style-02 #inner-header .fully-search-form button,.header-style-02 #inner-header .fully-search-form input{ color: $value }
				.header-style-02 #inner-header .fully-search-form input::-webkit-input-placeholder {
				  color: $value
				}
				.header-style-02 #inner-header .fully-search-form input:-moz-placeholder {
				  color: $value
				}
				.header-style-02 #inner-header .fully-search-form input::-moz-placeholder {
				  color: $value
				}
				.header-style-02 #inner-header .fully-search-form input:-ms-input-placeholder {  
				   color: $value
				}
				.header-style-02 #inner-header .fully-search-form input{
					border-color: $value
				}',
				'conditional_logic' => array(
					'items' => array(
						'rst_header_layout' => '3|4',
					)
				)
			),
			array(
				'label' 		=> 'Font Color',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_menu_color_heading_end',
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_menu_advance_heading',
			),
			array(
				'label' 		=> 'Menu Border',
				'type' 			=> 'select',
				'default_value'	=> 1,
				'name'			=> 'rst_select_border',
				'items'			=> array(
					'1' => 'None',
					'2' => 'Top',
					'3' => 'Bottom',
					'4' => 'Top & Bottom',
					'5' => 'All',
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_header_layout' => '1|2|3|4|5',
					)
				)
			),
			array(
				'label' 		=> 'Menu Border Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_border_header_color',
				'default_value'	=> '#878787',
				'css'			=> '.header-top,.header-logo-top .header-top{ border-color: $value }',
				'conditional_logic' => array(
					'items' => array(
						'rst_select_border' => '2|3|4|5',
					)
				)
			),
			array(
				'label' 		=> 'Padding Top / Bottom',
				'type' 			=> 'text',
				'name' 			=> 'rst_menu_advance_height',
				'description'	=> 'unit:px',
				'css'			=> '.rst-nav-menu li,.rst-header-right{ padding-top: $value }
				.rst-nav-menu li,.rst-header-right{ padding-bottom: $value }
				.header-style-03 .header-top{
					padding-top: $value !important;
				}
				.header-style-03 .header-top{
					padding-bottom: $value !important;
				}
				'
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_menu_advance_heading_end',
			),
		)
	));
	// Footer
	rs::addCustomizeTab(array(
		'title' => 'Footer Setting', 
		'name' => 'rst_customize_footer',
		'priority' => 127,
		'controls' => array(
			array(
				'label' 		=> 'Style Setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_footer_style_heading',
			),
			array(
				'label' 		=> 'Footer Layout',
				'type' 			=> 'select',
				'default_value'	=> 1,
				'name'			=> 'rst_select_footer_layout',
				'items'			=> array(
					'1' => 'Full width',
					'2' => 'Boxed',
				),
			),
			array(
				'label' 		=> 'Style Setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_footer_style_heading_end',
			),
			array(
				'label' 		=> 'Instagram Setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_footer_instagram_heading',
			),
			array(
				'name' => 'homepage_hide_instagram_box',
				'label'=> 'Turn Off Instagram',
				'type' => 'checkbox',
			),
			array(
				'label' 		=> 'Title',
				'type' 			=> 'text',
				'default_value'	=> '',
				'name'			=> 'rst_title_instagram'
			),
			array(
				'label' 		=> 'Instagram Username',
				'type' 			=> 'text',
				'default_value'	=> '',
				'name'			=> 'top_instagram_user',
			),
			array(
				'label' 		=> 'Instagram Number Photo Show',
				'type' 			=> 'text',
				'default_value'	=> '6',
				'name'			=> 'top_instagram_number_photo_show',
			),
			array(
				'label' 		=> 'Instagram Setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_footer_instagram_heading_end',
			),
			array(
				'label' 		=> 'Social Setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_footer_social_heading',
			),
			array(
				'label' 		=> 'Turn off Social',
				'type' 			=> 'checkbox',
				'default_value'	=> '',
				'name'			=> 'footer_hide_social'
			),
			array(
				'label' 		=> 'Social Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_social_footer_color',
				'default_value'	=> '#333333',
				'css'			=> '.fully-footer-social ul li a,.footer-2 .fully-footer-social ul li a,.rst_footer_style_03 .fully-footer-social li a{ 
										color: $value 
									}
									',
			),
			array(
				'label' 		=> 'Social Background Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_background_social_color',
				'default_value'	=> '#fbdde4',
				'css'			=> '.fully-footer-social,.footer-2 .fully-footer-social ul,.rst_footer_style_03 .fully-footer-social{ 
										background-color: $value 
									}
									',
			),
			array(
				'label' 		=> 'Social Setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_footer_social_heading_end',
			),
			array(
				'label' 		=> 'Bottom Footer',
				'type' 			=> 'heading',
				'name' 			=> 'rst_footer_bottom_heading',
			),
			array(
				'label' 		=> 'Background',
				'type' 			=> 'rsbackground',
				'name' 			=> 'rst_background_footer',
				'default_value'	=> array(
					'background-color' => '#fff',
					'background-position-vertical' => 'top',
					'background-position-horizontal' => 'center',
					'background-repeat' => 'repeat',
					'background-size' => 'cover',
					'background-attachment' => 'fixed'
				),
				'css_selector'	=> '.rst-copyright',
			),
			array(
				'label' 		=> 'Padding Top',
				'type' 			=> 'text',
				'name' 			=> 'rst_footer_padding_top',
				'description'	=> 'unit:px',
				'default_value' => '50px',
				'css'			=> '.rst-copyright,.footer-2 .rst-copyright{  padding-top: $value }',
			),
			array(
				'label' 		=> 'Padding Bottom',
				'type' 			=> 'text',
				'name' 			=> 'rst_footer_padding_bottom',
				'description'	=> 'unit:px',
				'default_value' => '50px',
				'css'			=> '.rst-copyright,.footer-2 .rst-copyright{  padding-bottom: $value }',
			),
			array(
				'label' 		=> 'Bottom Footer',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_footer_bottom_heading_end',
			),
		)
	) );
	// General
	rs::addCustomizeTab(array(
		'title' => 'Blog Setting', 
		'name' => 'rst_customize_general',
		'priority' => 128,
		'controls' => array(
			array(
				'label' 		=> 'Style Setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_blog_heading',
			),
			array(
				'label' 		=> 'Template',
				'type' 			=> 'select-image',
				'name' 			=> 'rst_general_template',
				'default_value'	=> 'large',
				'items'        	=> array(
					'large' => get_template_directory_uri() .'/inc/css/images/large.jpg',
					'masonry' => get_template_directory_uri() .'/inc/css/images/masonry.jpg',
					'medium' => get_template_directory_uri() .'/inc/css/images/medium.jpg',
					'medium4' => get_template_directory_uri() .'/inc/css/images/list.jpg',
					'large_grid' => get_template_directory_uri() .'/inc/css/images/large_grid.jpg',
					'large_medium' => get_template_directory_uri() .'/inc/css/images/large_medium.jpg',
				)
			),
			array(
				'label' 		=> 'Title & meta align',
				'type' 			=> 'select',
				'default_value'	=> 'center',
				'name'			=> 'rst_general_position_align',
				'items'			=> array(
					'center' => 'Center',
					'left' => 'Left',
					'right' => 'Right',
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_general_template' => 'large|masonry|large_grid'
					)
				)
			),
			array(
				'label' 		=> 'Column Number',
				'type' 			=> 'select',
				'default_value'	=> 3,
				'name'			=> 'rst_general_column',
				'items'			=> array(
					'2' => '2 Columns',
					'3' => '3 Columns',
					'4' => '4 Columns',
				),
				'description'	=> 'Number columns for template grid &amp; box',
				'conditional_logic' => array(
					'items' => array(
						'rst_general_template' => 'masonry|large_grid'
					)
				)
			),
			array(
				'label' 		=> 'Style Setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_blog_heading_end',
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_blog_advance_heading',
			),
			array(
				'label' 		=> 'Posts Per Page',
				'type' 			=> 'text',
				'default_value'	=> 10,
				'name'			=> 'rst_general_numberpost'
			),
			array(
				'label' 		=> 'Excerpt Length',
				'type' 			=> 'text',
				'default_value'	=> '',
				'name'			=> 'rst_general_excerpt_length'
			),
			array(
				'label' 		=> 'Paging',
				'type' 			=> 'select',
				'default_value'	=> 1,
				'name'			=> 'rst_general_pagenavi',
				'items'			=> array(
					'4'	=> 'Hide',
					'1'	=> 'Number',
					'2'	=> 'Prev/Next',
					'3'	=> 'Load More',
				)
			),
			array(
				'label' 		=> 'Hide Description',
				'type' 			=> 'checkbox',
				'name' 			=> 'general_hide_description'
			),
			
			array(
				'label' 		=> 'Hide Category',
				'type' 			=> 'checkbox',
				'name' 			=> 'general_hide_category'
			),
			array(
				'label' 		=> 'Hide Date',
				'type' 			=> 'checkbox',
				'name' 			=> 'general_hide_date'
			),
			array(
				'label' 		=> 'Hide Comment',
				'type' 			=> 'checkbox',
				'name' 			=> 'general_hide_comment'
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_blog_advance_heading_end',
			),
			array(
				'label' 		=> 'Font setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_blog_font_heading',
			),
			array(
				'label' 		=> 'Description',
				'type' 			=> 'description',
				'name' 			=> 'rst_description_blog_font',
				'description'	=> 'To config Font Please go to Customize -> Font Setting ',
			),
			array(
				'label' 		=> 'Font setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_blog_font_heading_end',
			),
		)
	) );
	rs::addCustomizeTab(array( 
		'title' => 'Slider Show', 
		'name' => 'rst_customize_homepage_banner',
		'priority' => 129,
		'controls' => array(
			array(
				'label' 		=> 'Default Setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_slider_heading',
			),
			array(
				'name' => 'homepage_hide_slider',
				'label'=> 'Turn Off Slider Show',
				'type' => 'checkbox',
			),
			array(
				'label' 		=> 'Slider Show Type',
				'type' 			=> 'select',
				'default_value'	=> 1,
				'name'			=> 'rst_style_item',
				'items'			=> array(
					'1'	=> 'Post | Page',
					'2'	=> 'Custom Link',
				)
			),
			array(
				'name' => 'home_page_slider_one_repeater',
				'label' => 'Add Slider Items',
				'type' => 'repeater',
				'layout' => 'row',
				'add_row_text' => null,
				'min_rows' => 1,
				'max_rows' => 999,
				'sorting' => true,
				'controls' => array(
					array(
						'name'      => 'homepage_slider_select_post',
						'label'     => 'Select post',
						'type'      => 'postlist',
						'query'     => array(),
						'post_type' => array('post','page'),
						'multiple'  => false
					),
				),
				'default_value' => array(),
				'value' => '',
				'conditional_logic' => array(
					'items' => array(
						'rst_style_item' => '1'
					)
				)
			),
			array(
				'name' => 'home_page_slider_custom_repeater',
				'label' => 'Add Slider Items',
				'type' => 'repeater',
				'layout' => 'row',
				'add_row_text' => null,
				'min_rows' => 1,
				'sorting' => true,
				'controls' => array(
					array(
						'name' => 'rst_custom_item_image_slider',
						'label' => 'Image',
						'type'  => 'image',
					),
					array(
						'name' => 'rst_custom_item_caption_slider',
						'label' => 'Title',
						'type'  => 'text',
					),
					array(
						'name' => 'rst_custom_item_description_slider',
						'label' => 'Description',
						'type'  => 'textarea',
					),
					array(
						'name' => 'rst_custom_item_link_slider',
						'label' => 'Link',
						'type'  => 'text',
					),
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_style_item' => '2'
					)
				)
			),
			array(
				'label' 		=> 'Default Setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_slider_heading_end',
			),
			array(
				'label' 		=> 'Background & Color',
				'type' 			=> 'heading',
				'name' 			=> 'rst_slider_background_heading',
			),
			array(
				'label' 		=> 'Caption Background Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_caption_slider_color',
				'default_value'	=> '#fff',
				'css'			=> '.fully_inner_info::after,.fully_owl_item_info::after,.fully-main-slider-10 .fully-item { background-color: $value }',
			),
			array(
				'label' 		=> 'Title Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_title_slider_color',
				'default_value'	=> '#303030',
				'css'			=> '.main-slider .fully_owl_item_info h4 a,.fully-posts-single-description h4 a,.rst-read-article{ color: $value }
				.rst-read-article{
					border-color: $value
				}
				',
			),
			array(
				'label' 		=> 'Category Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_meta_category_slider_color',
				'default_value'	=> '#f161a3',
				'css'			=> '.main-slider .fully_category_name a,.main-slider .fully_category_name{ color: $value !important }',
				'conditional_logic' => array(
					'items' => array(
						'rst_style_item' => 1,
					),
				)
			),
			array(
				'label' 		=> 'Date & Author Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_meta_slider_color',
				'default_value'	=> '#909090',
				'css'			=> '.main-slider .rst-inner-meta-info,.main-slider .rst-inner-meta-info a{ color: $value }',
				'conditional_logic' => array(
					'items' => array(
						'rst_style_item' => 1,
					),
				)
			),
			array(
				'label' 		=> 'Description Color',
				'type' 			=> 'color',
				'name' 			=> 'rst_descripton_slider_color3',
				'default_value'	=> '#222',
				'css'			=> '.description-slider-custom{ color: $value }
				',
				'conditional_logic' => array(
					'items' => array(
						'rst_style_item' => 2,
					),
				)
			),
			array(
				'label' 		=> 'Background & Color',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_slider_background_heading_end',
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading',
				'name' 			=> 'rst_slider_advance_heading',
			),
			array(
				'label' 		=> 'Margin with Header ',
				'type' 			=> 'text',
				'description'	=> 'unit:px',
				'default_value'	=> '',
				'name'			=> 'rst_margin_top',
				'css'			=> '.header-logo-top.header-style-01 + .main-slider .fully-main-slider-01, .header-logo-top.header-style-02 + .main-slider .fully-main-slider-01,.header-logo-top.header-style-01 + .main-slider .fully-main-slider-03, .header-logo-top.header-style-02 + .main-slider .fully-main-slider-03,.header-logo-top.header-style-01 + .main-slider .fully-main-slider-07, .header-logo-top.header-style-02 + .main-slider .fully-main-slider-07,.header-logo-top.header-style-01 + .main-slider .fully-main-slider-10, .header-logo-top.header-style-02 + .main-slider .fully-main-slider-10,.header-logo-top.header-style-01 + .main-slider #fully-main-slider-11, .header-logo-top.header-style-02 + .main-slider #fully-main-slider-11,.header-logo-top.header-style-01 + .main-slider .fully-main-slider-12, .header-logo-top.header-style-02 + .main-slider .fully-main-slider-12,
				.wrapper-box .header-logo-top.header-style-01 + .main-slider,.wrapper-box  .header-logo-top.header-style-02 + .main-slider{ margin-top: 0 }
				.main-slider{ margin-top: $value !important }',
			),
			array(
				'label' 		=> 'Hidden Category',
				'type' 			=> 'checkbox',
				'name' 			=> 'slider_hide_category',
				'conditional_logic' => array(
					'items' => array(
						'rst_style_item' => '1'
					)
				)
			),
			array(
				'label' 		=> 'Hidden Author & Date',
				'type' 			=> 'checkbox',
				'name' 			=> 'slider_hide_author_date',
				'conditional_logic' => array(
					'items' => array(
						'rst_style_item' => '1',
					),
				)
			),
			array(
				'label' 		=> 'Hidden Caption',
				'type' 			=> 'checkbox',
				'name' 			=> 'slider_hide_caption',
			),
			array(
				'label' 		=> 'Advance setting',
				'type' 			=> 'heading-end',
				'name' 			=> 'rst_slider_advance_heading_end',
			),
		)
	) );
	
	// Category
	rs::addCustomizeTab(array(
		'title' => 'Author Page', 
		'name' => 'rst_customize_category',
		'priority' => 134,
		'controls' => array(
			array(
				'label' 		=> 'Hide Author Box',
				'type' 			=> 'checkbox',
				'name' 			=> 'hidden_author_box'
			),
		)
	) );
	// Post
	/*
	rs::addCustomizePanel(array(
		'name' => 'panel_posts',
		'title' => 'Post Setting',
		'priority' => 135,
	) );
	*/
	rs::addCustomizeTab(array(
		'title' => 'Post Setting', 
		'name' => 'rst_customize_post',
		'priority' => 135,
		'controls' => array(
			array(
				'label' 		=> 'Post Layout Default',
				'type' 			=> 'radio-image',
				'name' 			=> 'rst_post_layout',
				'default_value'	=> 3,
				'items'        	=> array(
					'1' => get_template_directory_uri() .'/inc/css/images/fullwidth.jpg',
					'2' => get_template_directory_uri() .'/inc/css/images/sidebar_left.jpg',
					'3' => get_template_directory_uri() .'/inc/css/images/sidebar_right.jpg'
				)
			),
			array(
				'label' 		=> 'Style Post',
				'type' 			=> 'radio-image',
				'name'			=> 'rst_post_style',
				'default_value'	=> 1,
				'items'        	=> array(
					'1' => get_template_directory_uri() .'/inc/css/images/style_post_01.jpg',
					'2' => get_template_directory_uri() .'/inc/css/images/style_post_02.jpg',
				),
				'conditional_logic' => array(
					'items' => array(
						'rst_post_layout' => '2|3'
					)
				)
			),
			array(
				'label' 		=> 'Hide Thumbnail',
				'type' 			=> 'checkbox',
				'name' 			=> 'singe_hide_thumbnail'
			),
			array(
				'label' 		=> 'Hide Tags',
				'type' 			=> 'checkbox',
				'name' 			=> 'singe_hide_tags'
			),
			array(
				'label' 		=> 'Hide Author Box',
				'type' 			=> 'checkbox',
				'name' 			=> 'singe_hide_author'
			),
			array(
				'label' 		=> 'Hide Recent Post',
				'type' 			=> 'checkbox',
				'name' 			=> 'singe_hide_recent_post'
			),
			array(
				'label' 		=> 'Hide Comment Box',
				'type' 			=> 'checkbox',
				'name' 			=> 'singe_hide_comment'
			),
			array(
				'label' 		=> 'Hide Share Facebook',
				'type' 			=> 'checkbox',
				'name' 			=> 'share_facebook'
			),
			array(
				'label' 		=> 'Hide Share Google plus',
				'type' 			=> 'checkbox',
				'name' 			=> 'share_google'
			),
			array(
				'label' 		=> 'Hide Share Twitter',
				'type' 			=> 'checkbox',
				'name' 			=> 'share_twitter'
			),
			array(
				'label' 		=> 'Hide Share linkedin',
				'type' 			=> 'checkbox',
				'name' 			=> 'share_linkedin'
			),
			array(
				'label' 		=> 'Hide Share Pinterest',
				'type' 			=> 'checkbox',
				'name' 			=> 'share_pinterest'
			)
		)
	));
	// Share Link Post
	/*
	rs::addCustomizeTab(array(
		'title' => 'Share Post Link', 
		'name' => 'rst_customize_share_post',
		'panel'	=> 'panel_posts',
		'priority' => 30,
		'controls' => array(
			array(
				'label' 		=> 'Hide Share Facebook',
				'type' 			=> 'checkbox',
				'name' 			=> 'share_facebook'
			),
			array(
				'label' 		=> 'Hide Share Google plus',
				'type' 			=> 'checkbox',
				'name' 			=> 'share_google'
			),
			array(
				'label' 		=> 'Hide Share Twitter',
				'type' 			=> 'checkbox',
				'name' 			=> 'share_twitter'
			),
			array(
				'label' 		=> 'Hide Share linkedin',
				'type' 			=> 'checkbox',
				'name' 			=> 'share_linkedin'
			),
			array(
				'label' 		=> 'Hide Share Pinterest',
				'type' 			=> 'checkbox',
				'name' 			=> 'share_pinterest'
			)
		)
	));
	*/
	// Search
	/*
	rs::addCustomizeTab(array(
		'title' => 'Search', 
		'name' => 'rst_customize_search',
		'priority' => 136,
		'controls' => array(
			array(
				'label' 		=> 'Layout Setting',
				'type' 			=> 'radio-image',
				'name' 			=> 'rst_search_layout',
				'items'        	=> array(
					'1' => get_template_directory_uri() .'/inc/css/images/fullwidth.jpg',
					'2' => get_template_directory_uri() .'/inc/css/images/sidebar_left.jpg',
					'3' => get_template_directory_uri() .'/inc/css/images/sidebar_right.jpg'
				)
			),
			array(
				'label' 		=> 'Template Setting',
				'type' 			=> 'radio-image',
				'name' 			=> 'rst_search_template',
				'items'        	=> array(
					'large' => get_template_directory_uri() .'/inc/css/images/large.jpg',
					'masonry' => get_template_directory_uri() .'/inc/css/images/masonry.jpg',
					'grid' => get_template_directory_uri() .'/inc/css/images/grid.jpg',
					'medium' => get_template_directory_uri() .'/inc/css/images/medium.jpg',
					'medium2' => get_template_directory_uri() .'/inc/css/images/medium2.jpg',
					'medium3' => get_template_directory_uri() .'/inc/css/images/medium3.jpg',
					'medium4' => get_template_directory_uri() .'/inc/css/images/list.jpg',
					'large_grid' => get_template_directory_uri() .'/inc/css/images/large_grid.jpg',
					'large_medium' => get_template_directory_uri() .'/inc/css/images/large_medium.jpg',
					'large_medium2' => get_template_directory_uri() .'/inc/css/images/large_medium2.jpg',
				)
			),
			array(
				'label' 		=> 'Number Columns',
				'type' 			=> 'select',
				'name'			=> 'rst_search_column',
				'items'			=> array(
					'2' => '2 Columns',
					'3' => '3 Columns',
					'4' => '4 Columns',
				),
				'description'	=> 'Number columns for template grid &amp; box',
				'conditional_logic' => array(
					'items' => array(
						'rst_search_template' => 'grid|masonry|large_grid'
					)
				)
			),
			array(
				'label' 		=> 'Posts Per Page',
				'type' 			=> 'text',
				'default_value'	=> '',
				'name'			=> 'rst_search_numberpost'
			),
			array(
				'label' 		=> 'Excerpt Length',
				'type' 			=> 'text',
				'default_value'	=> '',
				'name'			=> 'rst_search_excerpt_length'
			),
			array(
				'label' 		=> 'Page Navi',
				'type' 			=> 'select',
				'name'			=> 'rst_search_pagenavi',
				'items'			=> array(
					'0'	=> 'Hide',
					'1'	=> 'Number',
					'2'	=> 'Prev/Next',
					'3'	=> 'Load More',
				)
			),
			array(
				'label' 		=> 'Hide Author',
				'type' 			=> 'checkbox',
				'name' 			=> 'search_hide_author'
			),
			array(
				'label' 		=> 'Hide Date',
				'type' 			=> 'checkbox',
				'name' 			=> 'search_hide_date'
			),
			array(
				'label' 		=> 'Hide Category',
				'type' 			=> 'checkbox',
				'name' 			=> 'search_hide_category'
			),
			array(
				'label' 		=> 'Hide Comment',
				'type' 			=> 'checkbox',
				'name' 			=> 'search_hide_comment'
			),
			array(
				'label' 		=> 'Hide Author',
				'type' 			=> 'checkbox',
				'name' 			=> 'search_hide_author'
			)
		)
	) );
	*/
	// Page
	rs::addCustomizeTab(array(
		'title' => 'Page', 
		'name' => 'rst_customize_page',
		'priority' => 137,
		'controls' => array(
			array(
				'label' 		=> 'Page Layout Default',
				'type' 			=> 'radio-image',
				'name' 			=> 'rst_page_layout',
				'default_value'	=> 0,
				'items'        	=> array(
					'1' => get_template_directory_uri() .'/inc/css/images/fullwidth.jpg',
					'2' => get_template_directory_uri() .'/inc/css/images/sidebar_left.jpg',
					'3' => get_template_directory_uri() .'/inc/css/images/sidebar_right.jpg'
				)
			),
			array(
				'label' 		=> 'Hide Thumbnail',
				'type' 			=> 'checkbox',
				'name' 			=> 'page_hide_thumbnail'
			),
			/*
			array(
				'label' 		=> 'Hide Share',
				'type' 			=> 'checkbox',
				'name' 			=> 'page_hide_share'
			),
			array(
				'label' 		=> 'Hide Author Box',
				'type' 			=> 'checkbox',
				'default_value'	=> true,
				'name' 			=> 'page_hide_author'
			),
			*/
			array(
				'label' 		=> 'Hide Comment Box',
				'type' 			=> 'checkbox',
				'name' 			=> 'page_hide_comment'
			),
		)
	));
	
?>