<?php
class angllia_about_widget extends WP_Widget {
	
	function angllia_about_widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'widget_about', 'description' => 'A widget that show about' );

		/* Create the widget. */
		parent::__construct( 'rst-about-widget', 'Angilla - About', $widget_ops);	
	}
	 
	function widget($args, $instance) {
		$html = '';
		$html .= $args['before_widget'];
		if( !empty($instance['title']) ) {
			$html .= $args['before_title'];
				$html .= $instance['title'];
			$html .= $args['after_title'];
		}
		$html .= '<div class="text-center widget-wrap"  itemscope itemtype="http://schema.org/About">';
		if( !empty($instance['avatar']) ){
			if( isset($instance['rst_avatar_circle']) && $instance['rst_avatar_circle'] ){
				$class_circle="img-circle";
			}else{
				$class_circle=" ";
			}
			$html .= '<img itemprop="avatar" class="'.$class_circle.' author-img" src="'. angllia_get_attachment_image_src($instance['avatar'],'full') .'" alt="About Me" />';
		}
		if( !empty($instance['name']) ){
			$html .= '<h5 itemprop="name">'. $instance['name'] .'</h5>';
		}
		if( !empty($instance['description']) ){
			$html .= '<p itemprop="description">'. $instance['description'] .'</p>';
		}
		
		
		$html .= '</div>';
		
		$html .= $args['after_widget'];
		echo force_balance_tags($html);
	}
 
	function update($new_instance, $old_instance) {
		return $new_instance;		
	}
 
	function form($instance) {
		?><br/>
		<label><?php echo esc_html__('Title:','angllia') ?>
		<input type="text" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" value="<?php echo isset($instance['title']) ? esc_attr($instance['title']) : ''; ?>" style="width:100%" /></label>
		<br /><br />
		<label><?php echo esc_html__('Avatar:','angllia') ?></label>
		<?php
			
			rs::upload(
				array(
					'name' => $this->get_field_name( 'avatar' ), 
					'type' => 'image',
					'value' => isset($instance['avatar']) ? esc_attr($instance['avatar']) : ''
				)
			);
		?>
		<br />
		<label><input id="<?php echo esc_attr($this->get_field_id( 'rst_avatar_circle' )); ?>" class="checkbox" type="checkbox" name="<?php echo esc_attr($this->get_field_name( 'rst_avatar_circle' )); ?>" value="1" <?php echo (isset($instance['rst_avatar_circle']) && $instance['rst_avatar_circle'] == 1) ? 'checked="checked"' : ''; ?>><?php echo esc_html__('Avatar circle<:','angllia') ?></label>
		<br /><br />
		<label><?php echo esc_html__('Name:','angllia') ?>
		<input type="text" id="<?php echo esc_attr($this->get_field_id( 'name' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'name' )); ?>" value="<?php echo isset($instance['name']) ? esc_attr($instance['name']) : ''; ?>" style="width:100%" /></label>
		<br /><br />
		<label><?php echo esc_html__('Description:','angllia') ?>
		<textarea id="<?php echo esc_attr($this->get_field_id( 'description' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'description' )); ?>" cols="30" rows="6" style="width:100%"><?php echo isset($instance['description']) ? esc_attr($instance['description']) : ''; ?></textarea></label>

		
		<?php	
	}
	
}

add_action( 'widgets_init', 'angllia_create_about_widget' );

function angllia_create_about_widget(){
	return register_widget("angllia_about_widget");
}