<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package angllia
 */

get_header(); ?>
<section id="content">
	<div class="container"><!-- Container -->
		<div id="fully-inner-content" class="row" data-sticky_parent="">
			<?php
				if( get_theme_mod('rst_page_layout') ){	
					$post_layout = get_theme_mod('rst_page_layout');
				}else{
					$post_layout = get_theme_mod('rst_general_layout') ? get_theme_mod('rst_general_layout') : 3;
				}
				$template_style = rs::getField('rst_template_style') != 0 ? rs::getField('rst_template_style') : $post_layout;
				$class = "";
				if( $template_style == 1 ) {
					$class .= 'col-md-12 fully-main-content-full';
				}
				if( $template_style == 2 ) {
					$class .= 'col-md-8 has-sidebar pull-right';
				}
				if( $template_style == 3 ) {
					$class .= 'col-md-8 has-sidebar pull-left';
				}
			?>
			<div class="<?php echo esc_attr($class) ?> fully-main-content"> <!-- Left Content for Blog Posts -->

				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'template-parts/content', 'page' ); ?>

					<?php
						// If comments are open or we have at least one comment, load up the comment template.
						if ( (comments_open() || get_comments_number()) && ! get_theme_mod('page_hide_comment') ) :
							comments_template();
						endif;
					?>

				<?php endwhile; // End of the loop. ?>

				
			</div><!-- #primary -->
			<?php
				if( $template_style == 2 || $template_style == 3 ) {
					get_sidebar();
				}
			?>
		</div><!-- end Row -->
	</div><!-- End Container -->
</section>
<?php get_footer(); ?>
